Guías de Canvas (es)Guías de CanvasGuía del Esencial de Canvas Información general¿Cuáles son los requisitos de navegador y computadora para Canvas?

¿Cuáles son los requisitos de navegador y computadora para Canvas?

Para un mejor rendimiento, Canvas se debe utilizar en la versión más actual o en la primera versión importante anterior de Chrome, Firefox, Edge o Safari. Debido a que Canvas está construido usando estándares de la web, éste funciona en Windows, Mac, Linux, iOS, Android o cualquier otro dispositivo con un navegador web moderno.

Canvas solo requiere un sistema operativo que pueda ejecutar los navegadores web compatibles más recientes. El sistema operativo de su computadora debe mantenerse al día con las actualizaciones y mejoras de seguridad recomendadas más recientes. 

Navegadores compatibles

Canvas es compatible con la edición actual y anterior de los siguientes navegadores:

  • Chrome 84 y 85
  • Firefox 79 y 80 (no admite los lanzamientos extendidos*)
  • Edge 84 y 85
  • Navegador LockDown de Respondus (compatible con los requisitos de sistema más recientes)
  • Safari 13 y 14 (solo para Macintosh)

Siempre debe usar la versión más actual de su navegador preferido. Su navegador le avisará si hay una nueva versión disponible.

Nota: Safari 13.1 y las versiones posteriores contienen una actualización que puede causar problemas al descargar archivos, mostrar imágenes y reproducir alertas de chat en Canvas. Los ingenieros de Canvas están trabajando actualmente en una solución para este problema. Hasta entonces, para evitar errores con archivos, imágenes y alertas puede deshabilitar la prevención de seguimiento entre sitios en Safari al utilizar Canvas. Si al deshabilitar el seguimiento entre sitios no se resuelven estos problemas, pruebe con otro de los navegadores admitidos.

Banner de navegador no admitido

Es probable que algunos de los navegadores compatibles sigan mostrando el aviso Su navegador no cumple con los requisitos mínimos para Canvas. Si usted ha actualizado su explorador pero aún sigue viendo el aviso, intente terminar la sesión en Canvas y borre las cookies de su explorador.

Navegadores con lanzamientos extendidos para organización

Chrome y Firefox ofrecen versiones de lanzamientos extendidos para organización que gestionan los escritorios de los clientes. Chrome ESR puede mantenerse actualizado con la versión completa existente de Chrome en cualquier momento. Sin embargo, Firefox ESR solo se actualiza con cada séptima versión principal, lo que provoca que Firefox ESR se superponga con las versiones desactualizadas. En la página web de Firefox ESR se señala la posibilidad de que no se admita ESR en todas las aplicaciones web debido al retraso en el lanzamiento de esta versión. Las instituciones que utilizan Firefox ESR deben considerar implementar el lanzamiento más reciente para garantizar la mejor experiencia de usuario de Canvas.

* Para las versiones de navegadores con lanzamientos extendidos, se sigue utilizando la advertencia, que se muestra en Canvas en cualquier navegador cuya versión sea anterior a la versión mínima requerida.

Comportamientos conocidos del navegador

Como todas las funciones de Canvas, nuestros equipos de productos dan prioridad a los comportamientos contrarios relacionados con los navegadores, y algunos comportamientos en las versiones anteriores podrían no estar resueltos. Si existe un comportamiento en la versión anterior del navegador que no existe en la versión actual, la mejor solución es actualizar el navegador a la versión más reciente.

Accesibilidad

Canvas está comprometido con la Iniciativa de accesibilidad web de W3C. Para obtener más información sobre cuáles son el lector de pantalla y las combinaciones de navegadores admitidos, consulte el documento Accesibilidad dentro de Canvas.

JavaScript

JavaScript debe estar habilitado para operar Canvas.

Plugins y extensiones del navegador

Algunos plugins o extensiones del buscador pueden entrar en conflicto con Canvas y afectar la funcionalidad. Si experimenta algún comportamiento que no le permita ver o participar en los cursos de Canvas, compruebe que ha desactivado cualquier extensión o complementos que interactúen directamente con el navegador web.

Para la solución de problemas, considere iniciar sesión en Canvas con una ventana de buscador de incógnito o en privado, lo que proporcionará una sesión del buscador sin ninguna navegación o búsqueda anterior, cookies de buscador asociadas u otros factores que puedan interferir con el navegador. Si usted puede ver y participar en Canvas usando una ventada del navegador incógnita o privada, lo más probable es que el comportamiento que esté experimentando esté relacionado con navegador y no con Canvas.

Configuraciones de privacidad del navegador

Para garantizar la seguridad del navegador, siga todas las políticas de seguridad del navegador establecidas por su institución, especialmente si está utilizando Canvas en una computadora proporcionada por su institución.

Al mostrar el contenido, Canvas toma por defecto la preferencia establecida por un navegador específico. Algunos navegadores pueden ocasionalmente hacer modificaciones a la configuración de privacidad para proteger a los usuarios de posibles contenidos no seguros. El contenido no seguro se identifica con el prefijo http:// en la dirección y puede crear contenido mixto en su página Canvas. El contenido protegido se identifica con el prefijo https:// en el URL. Para tener la mejor experiencia de usuario, el contenido debe ser seguro para evitar conflictos con el navegador.

  • Como administrador de Canvas, puede estar alojando contenido inseguro al hospedar un archivo JS/CSS inseguro fuera de Canvas. Si su cuenta admite cargas personalizadas, puede alojar su archivo en el Editor de temas de Canvas, que resolverá cualquier conflicto del navegador.
  • Si usted es un instructor de Canvas que incorpora lecciones de Canvas en su curso, puede prevenir problemas del navegador con contenido mixto utilizando URLs de las guías de Canvas aseguradas. 

Comportamientos conocidos del navegador

Chrome, Edge, Firefox y Safari usan HTML5 para mostrar contenido de sitios web, lo cual posibilita una experiencia de navegación más rápida y segura. Es posible que el audio y video en HTML5 no sea compatible con navegadores anteriores, por lo que el audio y video deben seguir usándose mediante Flash. 

Para tener el mejor rendimiento en Canvas, el contenido del curso debe estar diseñado para admitir HTML5. Todavía puede accederse a cualquier contenido afectado en navegadores anteriores; para ello, autorice manualmente los permisos para el contenido flash en el navegador.

En navegadores como Safari, el contenido inseguro nunca se mostrará en el navegador.

Sin embargo, en Chrome y Firefox tiene la opción de ver el contenido inseguro. Por favor, esté al tanto de posibles restricciones y vea el contenido inseguro con precaución.

Los siguientes son problemas conocidos en Chrome y Firefox que pueden bloquear o crear contenido mixto en Canvas.

Seguridad en Chrome

Seguridad en Chrome

Google Chrome verifica que el contenido del sitio web que se transmite sea de forma segura. Si usted visita una página en el curso Canvas que esté vinculado a un contenido no seguro, Chrome mostrará el icono del escudo [1] en la barra de direcciones del navegador.

Puede optar por anular la restricción de seguridad y mostrar el contenido de todas formas haciendo clic en el ícono del escudo y en el botón Cargar script inseguro (Load unsafe script) [2].

Permisos multimedia de Chrome

Chrome tiene sus propios permisos multimedia en el navegador. Para utilizar la cámara de la computadora y el micrófono dentro de alguna de las funciones Canvas,  tendrá que aprobar dos permisos:

  1. Permitir el acceso a Canvas a través de la configuración Adobe de Flash Player [1]. Este mensaje aparece en el centro del video y las ventanas emergentes de audio o en el centro del navegador si se accede Conversaciones.
  2. Permitir el acceso a través de la configuración de permisos Canvas de los medios de Chrome [2]. Este mensaje aparece justo debajo de la barra de direcciones. Haga clic en el botón Permitir (Allow).

Seguridad en Firefox

Seguridad en Firefox

Firefox comprueba que el contenido del sitio web se transmita de forma segura. Si usted visita una página en el curso Canvas que esté vinculado a un contenido no seguro, Firefox mostrará un candado con un icono de advertencia en la barra de direcciones del navegador [1].

Puede optar por anular la restricción de seguridad y mostrar el contenido de todas formas haciendo clic en el candado con un ícono de advertencia, haciendo clic en la flecha para expandir sus opciones [2] y seleccionando el botón de Desactivar protección por ahora (Disable protection for now) [3].

Especificaciones de la computadora

Para un mejor rendimiento, debe acceder a Canvas con una computadora que sea compatible con las versiones de navegadores más recientes. Se recomienda que use una computadora de hasta cinco años de antigüedad con al menos 1 GB de RAM.

Sistema operativo

Canvas solo requiere un sistema operativo que pueda ejecutar los navegadores web compatibles más recientes. El sistema operativo de su computadora debe mantenerse al día con las actualizaciones y mejoras de seguridad recomendadas más recientes.

Velocidad de Internet

Además de tener en cuenta la compatibilidad y los estándares web, Canvas se ha diseñado para adaptarse a entornos con un ancho de banda bajo.

Se recomienda tener una velocidad de Internet mínima de 512 kbps.

Lectores de pantalla

  • Macintosh: VoiceOver (versión más reciente para Safari)
  • PC: JAWS (versión más reciente para Firefox)
  • PC: NVDA (versión más reciente para Firefox)
  • En Chrome, no hay soporte disponible para lectores en pantalla de Canvas

Canvas en dispositivos móviles

La interfaz Canvas se ha optimizado para las pantallas de escritorio, por lo que el uso de factores de forma pequeña, como los teléfonos, puede que no sea una agradable experiencia en el uso Canvas. Para tener la mejor experiencia de usuario, descargue las aplicaciones móviles de Canvas. Las aplicaciones móviles de Canvas requieren Android 6.0 o posterior e iOS 13.0 o posterior.

Ya que Canvas utiliza pequeños elementos de Flash, es posible que no todas las funcionalidades de Canvas sean compatibles en los dispositivos móviles, especialmente en iOS. Sin embargo, Canvas ofrece soporte limitado para los navegadores móviles nativos en dispositivos de tableta. Para obtener información adicional, consulte las Directrices sobre navegadores móviles con soporte limitado.

Navegadores móviles

Visite la tienda de Apple o la tienda Play para descargar navegadores móviles. Los siguientes navegadores principales son compatibles con dispositivos móviles:

iOS

  • Safari (navegador predeterminado con soporte limitado de Canvas)
  • Chrome
  • Photon Flash Player (soporta Flash)

Android

  • Chrome (navegador predeterminado con soporte limitado de Canvas)*
  • Internet
  • Firefox

 

*El navegador predeterminado en Android varía dependiendo del dispositivo móvil.